SDL_KeyboardEvent Struct Reference

`#include <SDL_events.h>`

Collaboration diagram for SDL_KeyboardEvent:
[legend]

## Data Fields

Uint32 | type
Uint32 | timestamp
Uint32 | windowID
Uint8 | state
Uint8 | repeat
Uint8 | padding2
Uint8 | padding3
SDL_Keysym | keysym

## Detailed Description

Keyboard button event structure (event.key.*)

Definition at line 224 of file SDL_events.h.

## Field Documentation

## keysym

SDL_Keysym SDL_KeyboardEvent::keysym

The key that was pressed or released

Definition at line 233 of file SDL_events.h.

## padding2

Uint8 SDL_KeyboardEvent::padding2

Definition at line 231 of file SDL_events.h.

## padding3

Uint8 SDL_KeyboardEvent::padding3

Definition at line 232 of file SDL_events.h.

## repeat

Uint8 SDL_KeyboardEvent::repeat

Non-zero if this is a key repeat

Definition at line 230 of file SDL_events.h.

## state

Uint8 SDL_KeyboardEvent::state

SDL_PRESSED or SDL_RELEASED

Definition at line 229 of file SDL_events.h.

## timestamp

Uint32 SDL_KeyboardEvent::timestamp

In milliseconds, populated using SDL_GetTicks()

Definition at line 227 of file SDL_events.h.

## type

Uint32 SDL_KeyboardEvent::type

SDL_KEYDOWN or SDL_KEYUP

Definition at line 226 of file SDL_events.h.

## windowID

Uint32 SDL_KeyboardEvent::windowID

The window with keyboard focus, if any

Definition at line 228 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h